% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/expect-self-test.R
\name{expect_success}
\alias{expect_success}
\alias{expect_failure}
\alias{show_failure}
\alias{expect_known_failure}
\title{Tools for testing expectations}
\usage{
expect_success(expr)

expect_failure(expr, message = NULL, ...)

show_failure(expr)

expect_known_failure(path, expr)
}
\arguments{
\item{expr}{Expression that evaluates a single expectation.}

\item{message}{Check that the failure message matches this regexp.}

\item{...}{Other arguments passed on to \code{\link[=expect_match]{expect_match()}}.}

\item{path}{Path to save failure output}
}
\description{
Use these expectations to test other expectations.
Use \code{show_failure()} in examples to print the failure message without
throwing an error.
}
\keyword{internal}
